SDL_VideoDisplay Struct Reference

`#include <SDL_sysvideo.h>`

Collaboration diagram for SDL_VideoDisplay:
[legend]

## Data Fields

char * | name
int | max_display_modes
int | num_display_modes
SDL_DisplayMode * | display_modes
SDL_DisplayMode | desktop_mode
SDL_DisplayMode | current_mode
SDL_Window * | fullscreen_window
SDL_VideoDevice * | device
void * | driverdata

## Detailed Description

Definition at line 125 of file SDL_sysvideo.h.

## Field Documentation

## current_mode

SDL_DisplayMode SDL_VideoDisplay::current_mode

Definition at line 132 of file SDL_sysvideo.h.

Referenced by SDL_AddBasicVideoDisplay(), SDL_GetCurrentDisplayMode(), SDL_GetDisplayBounds(), SDL_GetWindowPixelFormat(), and SDL_SetDisplayModeForDisplay().

## desktop_mode

SDL_DisplayMode SDL_VideoDisplay::desktop_mode

Definition at line 131 of file SDL_sysvideo.h.

Referenced by SDL_AddBasicVideoDisplay(), SDL_GetClosestDisplayModeForDisplay(), SDL_GetDesktopDisplayMode(), SDL_GetWindowDisplayMode(), SDL_SetDisplayModeForDisplay(), and SDL_VideoQuit().

## device

SDL_VideoDevice* SDL_VideoDisplay::device

Definition at line 136 of file SDL_sysvideo.h.

Referenced by SDL_AddVideoDisplay().

## display_modes

SDL_DisplayMode* SDL_VideoDisplay::display_modes

Definition at line 130 of file SDL_sysvideo.h.

Referenced by SDL_AddDisplayMode(), SDL_GetClosestDisplayModeForDisplay(), SDL_GetDisplayMode(), SDL_GetNumDisplayModesForDisplay(), and SDL_VideoQuit().

## driverdata

void* SDL_VideoDisplay::driverdata

Definition at line 138 of file SDL_sysvideo.h.

Referenced by SDL_GetDisplayDriverData(), and SDL_VideoQuit().

## fullscreen_window

SDL_Window* SDL_VideoDisplay::fullscreen_window

Definition at line 134 of file SDL_sysvideo.h.

Referenced by SDL_DestroyWindow(), SDL_GetWindowDisplayIndex(), and SDL_UpdateFullscreenMode().

## max_display_modes

int SDL_VideoDisplay::max_display_modes

Definition at line 128 of file SDL_sysvideo.h.

Referenced by SDL_AddDisplayMode().

## name

char* SDL_VideoDisplay::name

Definition at line 127 of file SDL_sysvideo.h.

Referenced by SDL_AddVideoDisplay(), SDL_GetDisplayName(), and SDL_VideoQuit().

## num_display_modes

int SDL_VideoDisplay::num_display_modes

Definition at line 129 of file SDL_sysvideo.h.

Referenced by SDL_AddDisplayMode(), SDL_GetNumDisplayModesForDisplay(), and SDL_VideoQuit().

The documentation for this struct was generated from the following file:

- src/video/SDL_sysvideo.h